docs

# PinChatMessage

data class PinChatMessage ( val chatId: ChatIdentifier , val messageId: MessageIdentifier , val disableNotification: Boolean = false) : ChatRequest, SimpleRequest < Boolean > , MessageAction, DisableNotification
Content copied to clipboard

Use this method to add a message to the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' admin right in a supergroup or 'can_edit_messages' admin right in a channel.

## Constructors

PinChatMessage
Link copied to clipboard
fun PinChatMessage ( chatId: ChatIdentifier , messageId: MessageIdentifier , disableNotification: Boolean = false)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
messageId
Link copied to clipboard
open override val messageId : MessageIdentifier
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< Boolean >
Content copied to clipboard